chemotion_ELN-development-5/config/routes.rb
Rails.application.routes.draw do
  if ENV['DEVISE_DISABLED_SIGN_UP'].presence == 'true'
    devise_for :users, controllers: { registrations: 'users/registrations' }, skip: [:registrations]
    as :user do
      get 'sign_in' => 'devise/sessions#new'
      get 'users/sign_up' => 'devise/sessions#new', as: 'new_user_registration'
      get 'users/edit' => 'devise/registrations#edit', as: 'edit_user_registration'
      get 'users/confirmation/new' => 'devise/sessions#new', as: 'new_confirmation'
      put 'users' => 'devise/registrations#update', :as => 'user_registration'
    end
  else
    devise_for :users, controllers: { registrations: 'users/registrations', omniauth_callbacks: 'users/omniauth' }
  end

  authenticated :user, lambda {|u| u.type == "Admin"} do
    root to: 'pages#admin', as: :admin_root
    get 'admin', to: 'pages#admin'
    get 'mydb/*any', to: 'pages#admin'
    get 'mydb', to: 'pages#admin'
  end


  authenticated :user, lambda {|u| u.type == "Group"} do
    root to: 'pages#cnc', as: :group_root
    get 'group', to: 'pages#cnc'
    get 'mydb/*any', to: 'pages#cnc'
    get 'mydb', to: 'pages#cnc'
  end

  authenticated :user do
    root to: redirect('mydb'), as: :authenticated_root
  end

  authenticate :user do
    get 'pages/settings', to: 'pages#settings'
    get 'pages/profiles', to: 'pages#profiles'
    patch 'pages/update_profiles', to: 'pages#update_profiles'
    patch 'pages/update_user', to: 'pages#update_user'
    get 'pages/affiliations', to: 'pages#affiliations'
    patch 'pages/create_affiliation', to: 'pages#create_affiliation'
    patch 'pages/update_affiliations', to: 'pages#update_affiliations'
    get 'sfn_cb', to: 'pages#sfn_cb'
    get 'command_n_control', to: 'pages#cnc'
    get 'mydb/*any', to: 'pages#welcome'
    get 'mydb', to: 'pages#welcome'
    get 'molecule_moderator', to: 'pages#molecule_moderator'
  end

  # Standalone page for ChemScanner
  get 'chemscanner', to: 'pages#chemscanner'
  get 'editor',      to: 'pages#editor'

  # Standalone page for ChemSpectra
  get 'chemspectra', to: 'pages#chemspectra'
  get 'chemspectra-editor', to: 'pages#chemspectra_editor'

  get 'home', to: 'pages#home'
  get 'about', to: 'pages#about'
  get 'command_n_control', to: 'pages#home'

  get 'admin', to: 'pages#home'

  mount API => '/'

  mount GrapeSwaggerRails::Engine => '/swagger'

  root to: redirect('home')

  get 'test', to: 'pages#test'
end

chemotion_ELN-development-5/app/views/pages/about.haml
- @changelog = File.read("#{Rails.root}/CHANGELOG.md")

.container
  %h2
    Chemotion ELN
    %br/
    - Chemotion::Application.config.version.each do |k, v|
      %h3= "#{k.humanize}: #{v}"

  = markdown @changelog

  %br/

  = link_to "Back", root_path

chemotion_ELN-development-5/app/views/pages/admin.haml
#AdminHome

chemotion_ELN-development-5/app/views/pages/affiliations.haml
.container
  %h2
    My past and present affiliations
  %br/

  - flash.each do |key, value|
    %div{class: "alert alert-warning"}= value

  %br/
  .jumbotron
    .row
    = form_for @new_aff, method: 'patch', url: pages_create_affiliation_path do |f|
      = render "devise/shared/affiliations", f: f, disabled: false

      %br/

      .actions
        = f.submit "Set current affiliation", class: "btn btn-primary"

    %br/
    = form_tag('/pages/update_affiliations', method: :patch) do
      %table{class: 'table table-bordered' , style: 'backgroundColor: white'}
        %thead
          %tr
            %th.col-xs-1 Country
            %th.col-xs-3 Organization
            %th.col-xs-2 Department
            %th.col-xs-2 Group
            %th.col-xs-1 from
            %th.col-xs-1 to
            %th.col-xs-1
        %tbody
          - @affiliations.each.with_index do |aff, ind|
            %tr{id: "affiliation_#{aff.id}", class:'affiliation-line'}
              %td= aff.affiliation.country
              %td= aff.affiliation.organization
              %td= aff.affiliation.department
              %td= aff.affiliation.group
              %td{id: "aff_#{aff.id}_from", class: 'affiliation_from'}= aff.from.strftime("%b-%Y") if aff.from
              %td{id: "aff_#{aff.id}_to",   class: 'affiliation_to'  }= aff.to.strftime("%b-%Y") if aff.to
              %td
                %a{class: 'btn btn-danger del-affiliation', ref:'#'}
                  %span{class:'glyphicon glyphicon-trash'}
              = hidden_field_tag("affiliations[][from_month]", aff.from && aff.from.strftime('%Y-%m'))
              = hidden_field_tag("affiliations[][to_month]", aff.to && aff.to.strftime('%Y-%m'))
              = hidden_field_tag("affiliations[][id]", aff.id)
              = hidden_field_tag("affiliations[][_destroy]")
      %br/
      = submit_tag "Update", class: 'btn btn-primary'
  %br/
  %br/

  = link_to "Back", :back
  %script{:src => asset_path('affiliation.js')}

chemotion_ELN-development-5/app/views/pages/chemscanner.haml
%body.chemscanner-body
  #ChemScanner

chemotion_ELN-development-5/app/views/pages/chemspectra.haml
#ChemSpectra

chemotion_ELN-development-5/app/views/pages/chemspectra_editor.haml
#ChemSpectraEditor

chemotion_ELN-development-5/app/views/pages/cnc.haml
#CnC

chemotion_ELN-development-5/app/views/pages/editor.html.erb
<div class="form">
  <div id="iframeEditor">
  </div>
</div>

<script src="<%= Rails.configuration.editors.docserver_api %>"></script>


<script type="text/javascript" language="javascript">

    var docEditor;

    var info_address = "<%= Rails.configuration.editors.info[:address] %>";
    var info_title = "<%= Rails.configuration.editors.info[:title] %>";
    var info_name = "<%= Rails.configuration.editors.info[:name] %>";
    var info_logo = "<%= Rails.configuration.editors.info[:logo] %>";
    var info_mail = "<%= Rails.configuration.editors.info[:mail] %>";
    var info_website = "<%= Rails.configuration.editors.info[:website] %>";
    var feedbackurl = "<%= Rails.configuration.editors.info[:feedbackurl] %>";
    var callback_server = "<%= Rails.configuration.editors.docserver[:callback_server] %>";

    var title = "<%= params[:title] %>";
    var docType = "<%= params[:docType] %>";
    var key = "<%= params[:key] %>";

    var innerAlert = function (message) {
        if (console && console.log)
            console.log(message);
    };

    var onReady = function () {
        innerAlert("Document editor ready");
    };

    var onDocumentStateChange = function (event) {
        var title = document.title.replace(/\*$/g, "");
        document.title = title + (event.data ? "*" : "");
    };

    var onRequestEditRights = function () {
        location.href = location.href.replace(RegExp("action=view?&", "i"), "");
    };

    var onError = function (event) {
        if (event)
            innerAlert(event.data);
    };

    var onOutdatedVersion = function (event) {
        //location.reload(true);
    };

    var сonnectEditor = function () {
        docEditor = new DocsAPI.DocEditor("iframeEditor",
                {
                    width: "100%",
                    height: "950px",
                    type: "desktop",
                    documentType: docType,
                    document: {
                        title: title,
                        url: callback_server + '/api/v1/public/download?token=' + key ,
                        fileType: "<%= params[:fileType] %>",
                        key: "<%= params[:key] %>",
                        info: {
                            author: "<%= current_user.name %>",
                            created: "<%= Time.now.to_s %>",
                        },

                        permissions: {
                            edit: "true",
                            download: true,
                            fillForms: false,
                            review: false
                        },
                    },
                    editorConfig: {
                        mode: "edit",
                        lang: "en",
                        callbackUrl: callback_server + '/api/v1/public/callback',
                        user: {
                            id: "<%= current_user.id %>",
                            name: "<%= current_user.name %>",
                        },
                        userdata: title,
                        customization: {
                          chat: false,
                          compactToolbar: false,
                          customer: {
                            address: info_address,
                            info: info_title,
                            logo: info_logo,
                            mail: info_mail,
                            name: info_name,
                            www: info_website
                          },
                          feedback: {
                            url: feedbackurl,
                            visible: false
                          },
                          forcesave: false,
                          help: false,
                          logo: {
                            image: info_logo,
                            imageEmbedded: info_logo,
                            url: info_website
                          },
                          showReviewChanges: false,
                          zoom: 100
                        }
                    },
                    events: {
                        'onReady': onReady,
                        'onDocumentStateChange': onDocumentStateChange,
                        'onError': onError,
                        'onOutdatedVersion': onOutdatedVersion,
                    },
                });
    };

    if (window.addEventListener) {
        window.addEventListener("load", сonnectEditor);
    } else if (window.attachEvent) {
        window.attachEvent("load", сonnectEditor);
    }

</script>

chemotion_ELN-development-5/app/views/pages/home.haml
#Home

chemotion_ELN-development-5/app/views/pages/molecule_moderator.haml
#MoleculeModerator

chemotion_ELN-development-5/app/views/pages/profiles.haml
.container
  %h2
    Change your profile


  %br/
  %br/
  .jumbotron
    .row
    = form_for @profile, url: pages_update_profiles_path do |f|
      .checkbox
        = f.check_box :show_external_name, autofocus: true, autocomplete: "off"
        = f.label :show_external_name, "Show external names on sample titles?"

      %br/

      .actions
        = f.submit "Change my profile", class: "btn btn-primary"

  %br/
  %br/

  = link_to "Back", root_path

chemotion_ELN-development-5/app/views/pages/settings.haml
.container
  %h2
    Account &amp; Profile
  %br/

  .panel.panel-default
    .panel-heading
      %h3.panel-title
        Reaction Label
    .panel-body
      .form-horizontal
        = form_for current_user, url: pages_update_user_path do |f|
          .form-group
            = f.label 'Counter prefix', class: 'col-sm-2 col-sm-offset-2 control-label'
            .col-sm-2
              = text_field_tag :reaction_name_prefix,
                                current_user.reaction_name_prefix,
                                maxlength: 3,
                                class: 'form-control',
                                id: 'reaction-name-prefix',
                                oninput: 'showExampleLabel();'
          .form-group
            = f.label 'Counter starts at', class: 'col-sm-2 col-sm-offset-2 control-label'
            .col-sm-2
              = number_field_tag :reactions_count,
                                  current_user.counters['reactions'],
                                  min: 0,
                                  class: 'form-control',
                                  id: 'reactions-count',
                                  oninput: 'showExampleLabel();'
          = hidden_field_tag :name_abbreviation, current_user.name_abbreviation
          %div
            .col-sm-4.col-sm-offset-2
              = f.label 'Next reaction label will be:', class: 'control-label'
              %span{id: 'reaction-label-example'}
            .col-sm-4.col-sm-offset-2
              = f.submit "Update user settings", class: "btn btn-primary"

  .panel.panel-default
    .panel-heading
      %h3.panel-title
        Sample Title
    .panel-body
      .form-horizontal
        = form_for current_user.profile, url: pages_update_profiles_path do |f|
          .form-group
            = f.label :show_external_name, "Show external names on sample titles?", class: 'col-sm-4 control-label'
            .col-sm-2
              .checkbox{ :style => "margin-left: 20px;" }
                = f.check_box :show_external_name, autocomplete: "off"
            .col-sm-4.col-sm-offset-2
              = f.submit "Update user profiles", class: "btn btn-primary"

  .panel.panel-default
    .panel-heading
      %h3.panel-title
        Curation
    .panel-body
      .form-horizontal
        = form_for current_user.profile, url: pages_update_profiles_path do |f|
          .form-group
            = f.label 'Curation Standard', class: 'col-sm-4 control-label'
            .col-sm-4
              - curations = ["No curation standard", "Curation standard I: experimental organic chemistry"]
              - curations = curations.map.with_index { |x, i| [x, i + 1] }.to_h
              = f.select :curation, options_for_select(curations, current_user.profile.curation), class: 'form-control'
            .col-sm-4
              = f.submit "Update user profiles", class: "btn btn-primary"

  - plugin_with_setting_view_list.each_with_index do |plugin, i|
    .panel.panel-default
      .panel-heading
        %h3.panel-title
          = (p=plugin.capitalize.constantize)::const_defined?('TITLE') && p::TITLE || plugin.to_s
      .panel-body
        = render "#{plugin}/home/account"

  #ScifinderCredential

  #OmniauthCredential

  #UserCounter

  = link_to "Back", root_path

chemotion_ELN-development-5/app/views/pages/welcome.haml
#chemdrawjs-container
#app
#modal